gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A visible column in a widget. Gtk.Object GLib.IWrapper System.IDisposable
- Method
  System.Boolean Whether to display the column. an object of type
- Method
  System.Void `` `` `` `` Sets the cell renderer based on the and . an object of type an object of type an object of type an object of type That is, for every attribute mapping in , it will get a value from the set column on the , and use that value to set the attribute on the cell renderer. This is used primarily by the .
- Method
  System.Void Emit the clicked event on the column.
- Method
  System.Void `` `` `` `` Sets the to use for the column. an object of type an object of type an object of type an object of type This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of TreeViewColumn, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new object.
  an object of type
- Property
  System.Int32 The column that the model sorts on when this column is selected for sorting. an object of type an object of type
- Property
  System.Int32 The number of pixels to place between s packed into the column. an object of type an object of type
- Property
  System.Boolean The visibility of the . an object of type an object of type
- Property
  System.Boolean Whether the column can be reordered by the end user dragging the header. an object of type an object of type
- Property
  System.Int32 Maximum allowed width of the column. an object of type an object of type
- Property
  System.Int32 Current width of the column. an object of type
- Property
  System.Boolean Whether to show a sort indicator. an object of type an object of type
- Property
  Gtk.TreeViewColumnSizing Resize mode of the column. an object of type an object of type
- Property
  Gtk.SortType Sort direction the sort indicator should indicate. an object of type an object of type
- Property
  System.Int32 Minimum allowed width of the column. an object of type an object of type
- Property
  System.Single X Alignment of the column header text or widget. an object of type an object of type
- Property
  System.String Title to appear in column header. an object of type an object of type
- Property
  Gtk.Widget Widget to put in column header button instead of column title. an object of type an object of type
- Property
  System.Boolean Whether the header can be clicked. an object of type an object of type
- Property
  System.Int32 Current fixed width of the column. an object of type an object of type
- Property
  System.Boolean Whether column is user-resizable. an object of type an object of type
- Event
  System.EventHandler Emitted when the column is clicked.
- Method
  System.Void `` `` Sets the to use for the column. a a This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Method
  System.Void `` Sets the current keyboard focus to be at , if the column contains 2 or more editable and activatable cells. a
- Constructor
  Creates a new
  a
  a
  a
  a
- Constructor
  Creates a new
  a
  a
  a
  a
- Method
  System.Boolean `` `` `` Obtains the horizontal position and size of a cell in a column. a a a a If the cell is not found in the column, and are not changed and is returned.
- Method
  System.Void `` `` `` `` `` Obtains the width and height needed to render the column. a a a a a This is used primarily by the .
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gtk.CellRenderer[] Returns a list of all the s in the column, in no particular order. An array of s.
- Property
  System.Boolean To be added a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` Adds the to end of the column. an object of type an object of type If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  System.Void `` `` Packs the cell into the beginning of the column. an object of type an object of type If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  System.Void `` `` `` Adds an mapping to the list in . an object of type an object of type an object of type The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Method
  System.Void `` Clears all existing attributes. an object of type
- Method
  System.Void Unsets all the mappings on all renderers on the .
- Method
  System.Void `` `` `` `` To be added a a a a To be added